aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxdmcp/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'x11/libxdmcp/APKBUILD')
-rw-r--r--x11/libxdmcp/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/libxdmcp/APKBUILD b/x11/libxdmcp/APKBUILD
new file mode 100644
index 0000000000..2493fc7b97
--- /dev/null
+++ b/x11/libxdmcp/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxdmcp
+pkgver=1.0.2
+pkgrel=0
+pkgdesc="X11 Display Manager Control Protocol library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="xproto uclibc"
+makedepends="pkgconfig"
+subpackages="$pkgname-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXdmcp-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/libXdmcp-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make || return 1
+ make DESTDIR=${startdir}/pkg install || return 1
+}
+md5sums="10facf2bc7cbd5e5c1a698b8a210a582 libXdmcp-1.0.2.tar.bz2"